package jrummikub.util;

/**
 * Data needed for the login in one data type (name, server, password, channel)
 */
public class LoginData {
	private String userName;
	private String serverName;
	private String password;
	private String channelName;

	/**
	 * Creates a new set of login data
	 * 
	 * @param userName
	 *            user name in channel, player name in game
	 * @param serverName
	 *            server of the user account specified in user name
	 * @param password
	 *            for account with user name on server
	 * @param channelName
	 *            channel in which games can be offered and played
	 */
	public LoginData(String userName, String serverName, String password,
			String channelName) {
		this.userName = userName;
		this.serverName = serverName;
		this.password = password;
		this.channelName = channelName;
	}

	/**
	 * Getter for user name
	 * 
	 * @return user name
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * Getter for server name
	 * 
	 * @return server name
	 */
	public String getServerName() {
		return serverName;
	}

	/**
	 * Getter for password
	 * 
	 * @return password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * Getter for channel name
	 * 
	 * @return channel name
	 */
	public String getChannelName() {
		return channelName;
	}
}